package main.HUD;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.imageio.ImageIO;

import ea.Knoten;
import ea.Ticker;

public class Inventory extends Knoten implements Ticker {

	private static final int SCALE = 50;
	private BufferedImage inventory;

	public Inventory() {
		try {
			inventory = ImageIO.read(HUD.class.getResourceAsStream("/res/images/inventory.png"));
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void zeichnen(Graphics2D g) {
		g.drawImage(inventory, 0, 0, SCALE * 2, SCALE * 2, null);
	}

	// wird alle 50ms ausgeführt:
	public void tick() {
		
	}
}
